# Event.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_Thread.h"`
`#include "ace/Event.inl"`

Include dependency graph for Event.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Event
| A wrapper around the Win32 event locking mechanism. More...

## Detailed Description

Id
  Event.h,v 4.4 2005/10/28 16:14:52 ossama Exp

Moved from Synch.h.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>